Risultati da 1 a 6 di 6
  1. #1
    Utente Senior
    Iscritto dal
    2008
    Messaggi
    1330
    Professione
    ...
    Regione
    Emilia - Modena
    Software
    autocad11+swx12 sp4 w7 x64+Ready2W2012

    Predefinito Crea polilinea per trovare perimetro e scriverlo all'interno

    Ciao, volevo provare a fare un lisp che creasse una polilinea, trovare il perimetro e scriverlo all'interno della figura, magari con un testo di grandezza tale da leggerlo bene, basandosi sulla dimensione della finestra attuale ;-P

    Fantascienza? si :( almeno x mè

    Ho provato a scimmittare quello che finora mi avete suggerito/regalato però non ci sono riuscito :(

    Mi aiutate?


    (defun c:POL (/ )
    (command "_pedit" "_y" )
    ;(command "_J")
    ;(command "_X" )
    )
    Grazie
    ^__^
    [www.cfsystem.it Nastri trasportatori]
    [www.conveyor-belt-sushi.com Nastro trasportatore per sushi]

  2. #2
    Moderatore L'avatar di PlannerRoad
    Iscritto dal
    2007
    Messaggi
    4955
    Professione
    Variabile
    Regione
    Italia
    Software
    AutoCAD 2016

    Predefinito

    Ma la creazione della polilinea ti serve per qualche motivo particolare o solo per calcolare il perimetro?
    In tal caso hai visto questo lisp?:

    http://www.cad3d.it/forum1/showthread.php?t=6270

  3. #3
    Utente Senior
    Iscritto dal
    2008
    Messaggi
    1330
    Professione
    ...
    Regione
    Emilia - Modena
    Software
    autocad11+swx12 sp4 w7 x64+Ready2W2012

    Predefinito

    Ottimi direi, ma "pignoliamo" un pò ;P

    (defun c:CS ()
    (if (= ht nil)(setq ht 1))
    ;(if (= scala nil)(setq scala(getreal "\n....... Scala scritte 1:")))

    (setq p "")
    (setq p(getpoint "\n....... Seleziona il punto all'interno dell'area: "))
    (if (/= p nil)(progn
    (setvar "cmdecho" 0)
    (setq cpltype(getvar "PLINETYPE"))
    (setq clay(getvar "clayer"))
    (setvar "PLINETYPE" 1)
    (command "_layer" "_m" "aree_nuove" "")
    (command "_bpoly" "_a" "_b" "_e" "_o" "_p" "_x" p "")
    (setq poli(entlast))
    (setq polix(entget poli))
    (if (= (cdr(assoc 0 polix)) "LWPOLYLINE")(progn
    (command "_area" "_o" poli)
    (setq Area(getvar "Area"))
    (setq Perimetro(getvar "Perimeter"))
    (setq hs(* 0.00005 Area))
    (command "_layer" "_m" "aree_scritte" "")
    (command "_text" "_c" p hs "0" (strcat "Areas=" (rtos area 2 2))"mm2" \r)
    (command "_text" "_c" p hs "0" (strcat "Areas=" (rtos area 2 2))"m2" \r)
    (command "_text" "_c" (polar p (* 1.5 pi) (* hs 1.5)) hs "0" (strcat "Perimetro=" (rtos Perimetro 2 2))"mm" \r)
    (command "_text" "_c" (polar p (* 1.5 pi) (* hs 1.5)) hs "0" (strcat "Perimetro=" (rtos Perimetro/1000 2 2))"m" \r)
    ))
    (setvar "clayer" clay)
    (setvar "PLINETYPE" cpltype)

    ))
    (princ)
    )
    (princ "\n<Copyright: ing. Claudio Granuzzo>")
    (princ)Fonte: www.sepram

    Allora vorrei usare questa parte, ma cambiando:
    -Ricavare area in mm2 e m2 (ho provato ma nn funzia)
    -Ricavare perimetro in mm e m (ho provato ma nn funzia)
    -Ho cambiato la grandezza del testo rendendola proporzionale all'area, c'è un altro modo per far sì che sia sempre leggibile immediatamente senza "finestrare"?
    -vedo che crea una polilinea sopra al disegno, potrebbe semplicemente sostituire il disegno evitando il "doppione"?
    -la polilinea che crea può essere dello stello livello che aveva il disegno originale? (magari toccando prima un elemento)
    Grazie
    ^__^
    [www.cfsystem.it Nastri trasportatori]
    [www.conveyor-belt-sushi.com Nastro trasportatore per sushi]

  4. #4
    Utente Senior L'avatar di GP.
    Iscritto dal
    2008
    Messaggi
    1998
    Professione
    Nientologo
    Regione
    Vercelli
    Software
    uozapp

    Predefinito

    Valuta se prendere qualche spunto da questo lisp.

    Per l'uso bisogna cliccare all'interno di aree chiuse interamente visualizzate a video.
    File Allegati File Allegati
    • Tipo File: zip AV.zip (2.4 KB, 79 Visualizzazioni)
    Ultima modifica di GP.; 26-07-2008 alle 16: 18

  5. #5
    Utente poco attivo
    Iscritto dal
    2008
    Messaggi
    5
    Professione
    Architetto
    Regione
    Canada
    Software
    Autocad

    Predefinito LISP

    Citazione Originariamente Scritto da GP. Visualizza Messaggio
    Valuta se prendere qualche spunto da questo lisp.

    Per l'uso bisogna cliccare all'interno di aree chiuse interamente visualizzate a video.

    Ti potrei chiedere x favore un'aiuto per un problema con una LISP?

  6. #6
    Utente poco attivo
    Iscritto dal
    2008
    Messaggi
    5
    Professione
    Architetto
    Regione
    Canada
    Software
    Autocad

    Predefinito

    Se ho un blocco con degli attributi tipo area, perimetro, volume etc. e voglio legare parti di questi attributi ad una polilinea che circonda una stanza....per avere questi valori aggiornati in automatico...tranne ovviamente il volume che come valore e' legato ad una altezza che dovra' essere digitata a mano....qui c'e' un file di esempio per capire megli:
    http://gigamail.rossoalice.alice.it/...3-c8bbf739d76f

    Grazie


  • Discussioni Simili

    1. Macro crea polilinea per visualizzazione sviluppo
      Di reggio nel forum Lisp per Autocad
      Risposte: 9
      Ultimo Messaggio: 09-10-2013, 14: 16
    2. Lettura di tutti i testi all'interno di una polilinea
      Di Qoricino nel forum VBA per Autocad
      Risposte: 10
      Ultimo Messaggio: 09-03-2011, 17: 09
    3. Perimetro di una polilinea
      Di fcara nel forum Solid Edge
      Risposte: 2
      Ultimo Messaggio: 02-02-2009, 01: 30
    4. Collegare attributo del perimetro con una polilinea chiusa
      Di alelater nel forum Lisp per Autocad
      Risposte: 6
      Ultimo Messaggio: 09-10-2008, 21: 13
    5. perimetro
      Di tecmec nel forum Thinkdesign
      Risposte: 7
      Ultimo Messaggio: 14-02-2008, 08: 12

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  




    CAD3D.it - la community dei progettisti